// NAVBAR //
.navbar {
  height: 60px;
}

#conteudoNavbarSuportado {
  z-index: 999;
  background-color: $navBg;
}

.nav-container {
  height: 60px;
  background-color: $navBg;
  color: $neutralColor;

  & > .container {
    & > ul {
      & li {
        & button.star-hover,
        & button.wish-cart {
          transition: 0.5s background;
        }
      }
    }
  }
}

.nav-rect {
  @include navRect;
  border-left: 1px solid $kindGray;
  border-right: 1px solid $kindGray;
  background-color: $bgBoxLogo;

  & > i {
    vertical-align: middle;
  }
}

.nav-favorites-star {
  @include navMarket;
  @include navLetter;
  background-color: $navFavoriteStar;
}

.nav-favorites-market {
  @include navMarket;
  @include navLetter;
  background-color: $logoColor;
  padding: 10px 14px !important;
}

.nav-align {
  text-align: center;
}

a.nav-rect {
  @include navMenuLink;
  padding-top: 1rem !important;
  transition: 0.5s background;

  &:hover {
    background-color: #bbbbbb;
  }
}

.star-shine {
  color: $navHoverStart !important;
}

/* MEDIA QUERIES */

@media (max-width: 992px) {
  .nav-container {
    & > .container {
      & nav {
        position: relative;
        right: 60px;
      }

      & ul:nth-child(2) {
        position: relative;
        bottom: 60px;
      }
    }
  }
}

@media (max-width: 767px) {
  .nav-container {
    & > .container {
      & ul:nth-child(2) {
        position: relative;
        bottom: 0;
      }
    }

    & nav {
      & > .navbar-toggler {
        position: absolute;
      }

      & > div {
        position: relative;
        top: 50px;
        padding: 0;
      }

      & li.nav-item {
        & a.nav-rect {
          border-right: 0;
          box-shadow: 0;
          transition: 0.5s background;

          &:hover {
            background-color: #e7e7e7;
          }
        }
      }
    }
  }
}

@media (max-width: 321px) {
  .nav-container {
    & > .container {
      & ul:nth-child(2) {
        position: absolute;
        top: 45px;
        left: 140px;
      }

      & nav {
        right: 40px;
      }
    }
  }
}
